Bug 22627 - Rephrase 'your fines' tab in OPAC
Summary: Rephrase 'your fines' tab in OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Hayley Mapley
QA Contact: Testopia
URL:
Keywords: Academy, release-notes-needed
Depends on:
Blocks:
 
Reported: 2019-04-03 11:57 UTC by Katrin Fischer
Modified: 2019-09-13 12:45 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive (3.75 KB, patch)
2019-05-27 02:50 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22627: (follow-up) Changed accountlines and sco to match OPAC (1.82 KB, patch)
2019-06-04 02:14 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive (5.14 KB, patch)
2019-06-04 02:19 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive (5.14 KB, patch)
2019-06-04 02:20 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive (5.19 KB, patch)
2019-08-11 10:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22627: Rename tab on my summary page (1.55 KB, patch)
2019-08-11 10:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive (5.25 KB, patch)
2019-09-03 16:54 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22627: Rename tab on my summary page (1.61 KB, patch)
2019-09-03 16:54 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-03 11:57:38 UTC
See also discussion on bug 21578:

In the OPAC the tab for accessing the account balance is labelled 'your fines', as dicussed on bug 21579 fines is not always a fitting term. The page itself is then labelled: 'fines and charges'. 

I think it would make sense to at least change the tab label to match the patch title.
Comment 1 Hayley Mapley 2019-05-27 02:50:27 UTC
Created attachment 90101 [details] [review]
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive

Brought up on Bug 21578, the 'your fines' tab in the OPAC would be
better named as 'your charges' as not all charges are fines, some are
credits etc.

To test:
1) In the OPAC, click on the user's name and note that the tab that was called your fines is now called your charges.
2) When you click on the tab, the title says Your charges, the breadcrumb says Your
charges, and the table title remains Fines and charges.

Please let me know if you think the table title should change too.

Sponsored-by: Catalyst IT.
Comment 2 Marie-Luce Laflamme 2019-05-31 18:33:55 UTC
The patch apply correctly.

However, I do believe it will better to use the same term in both place: the access tab and the page itself.
Comment 3 Hayley Mapley 2019-06-04 02:14:14 UTC
Created attachment 90286 [details] [review]
Bug 22627: (follow-up) Changed accountlines and sco to match OPAC

Test plan: Same as previous patch

Sponsored-by: Catalyst IT
Comment 4 Hayley Mapley 2019-06-04 02:19:19 UTC
Created attachment 90287 [details] [review]
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive

Brought up on Bug 21578, the 'your fines' tab in the OPAC would be
better named as 'your charges' as not all charges are fines, some are
credits etc.

To test:
1) In the OPAC, click on the user's name and note that the tab that was called your fines is now called your charges.
2) When you click on the tab, the title says Your charges, the breadcrumb says Your
charges, and the table title is Your charges.

Sponsored-by: Catalyst IT.
Comment 5 Hayley Mapley 2019-06-04 02:20:44 UTC
Created attachment 90288 [details] [review]
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive

Brought up on Bug 21578, the 'your fines' tab in the OPAC would be
better named as 'your charges' as not all charges are fines, some are
credits etc.

To test:
1) In the OPAC, click on the user's name and note that the tab that was called your fines is now called your charges.
2) When you click on the tab, the title says Your charges, the breadcrumb says Your
charges, and the table title is Your charges.

Sponsored-by: Catalyst IT.
Comment 6 Lucas Gass 2019-08-02 22:59:32 UTC
This looks nice. But when I try to sign-off I get:

Found multiple bug references specified commits:
  https://bugs.koha-community.org/show_bug.cgi?id=22627
  https://bugs.koha-community.org/show_bug.cgi?id=21578
Comment 7 Katrin Fischer 2019-08-11 10:26:37 UTC
(In reply to Lucas Gass from comment #6)
> This looks nice. But when I try to sign-off I get:
> 
> Found multiple bug references specified commits:
>   https://bugs.koha-community.org/show_bug.cgi?id=22627
>   https://bugs.koha-community.org/show_bug.cgi?id=21578

Hi Lucas, works ok for me - maybe your branch was not clean?
Comment 8 Katrin Fischer 2019-08-11 10:28:13 UTC
Created attachment 92141 [details] [review]
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive

Brought up on Bug 21578, the 'your fines' tab in the OPAC would be
better named as 'your charges' as not all charges are fines, some are
credits etc.

To test:
1) In the OPAC, click on the user's name and note that the tab that was called your fines is now called your charges.
2) When you click on the tab, the title says Your charges, the breadcrumb says Your
charges, and the table title is Your charges.

Sponsored-by: Catalyst IT.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-08-11 10:28:21 UTC
Created attachment 92142 [details] [review]
Bug 22627: Rename tab on my summary page

This completes the first patch by also changing the
tab on the OPAC summary page from "Fines" to "Charges".
Comment 10 Nick Clemens 2019-09-03 16:54:35 UTC
Created attachment 92577 [details] [review]
Bug 22627: Renames OPAC fines tab to 'your charges' to be more inclusive

Brought up on Bug 21578, the 'your fines' tab in the OPAC would be
better named as 'your charges' as not all charges are fines, some are
credits etc.

To test:
1) In the OPAC, click on the user's name and note that the tab that was called your fines is now called your charges.
2) When you click on the tab, the title says Your charges, the breadcrumb says Your
charges, and the table title is Your charges.

Sponsored-by: Catalyst IT.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Nick Clemens 2019-09-03 16:54:40 UTC
Created attachment 92578 [details] [review]
Bug 22627: Rename tab on my summary page

This completes the first patch by also changing the
tab on the OPAC summary page from "Fines" to "Charges".

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Martin Renvoize 2019-09-09 10:34:06 UTC
Nice work!

Pushed to master for 19.11.00
Comment 13 Fridolin SOMERS 2019-09-13 12:45:05 UTC
Enhancement not pushed to 19.05.x